[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#586428: marked as done (Please clear the apt cache)

Your message dated Fri, 30 Jul 2010 21:24:05 +0100
with message-id <20100730202405.GE1595@jirafa.cyrius.com>
and subject line Re: Bug#586428: Please clear the apt cache
has caused the Debian Bug report #586428,
regarding Please clear the apt cache
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

586428: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=586428
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: base-installer
Version: 1.107
Severity: wishlist
Tags: patch

Is there a reason why base-installer doesn't clear the apt cache after
installing base?  I end up with about 70 MB of .debs in
/var/cache/apt/archives and this hurts on machines with little space
(such as machines with only 512 MB flash storage).

The following patch, which clears the cache after debootstrap and then
again at the end (after kernel/extra packages), works for me.  OK to

Index: debian/bootstrap-base.postinst
--- debian/bootstrap-base.postinst	(revision 63510)
+++ debian/bootstrap-base.postinst	(working copy)
@@ -131,6 +131,8 @@
 		exit_error base-installer/debootstrap-failed
+	cleanup
 	# Progress bar is now stepped to 100
Index: library.sh
--- library.sh	(revision 63510)
+++ library.sh	(working copy)
@@ -859,5 +859,6 @@
 cleanup () {
+	rm -f /target/var/cache/apt/archives/*.deb 2>/dev/null || true
 	rm -f "$KERNEL_LIST" "$KERNEL_LIST.unfiltered"

Martin Michlmayr

--- End Message ---
--- Begin Message ---
* Petter Reinholdtsen <pere@hungry.com> [2010-07-25 10:56]:
> > I didn't hear any objections to this approach.  Petter, can you please
> > test the following patch to make sure it doesn't break LTSP (it
> > shouldn't).  If you confirm, I'll commit it.
> I tested this patch to bootstrap-base.postinst, and this did affect
> LTSP negatively.  :(

Ok, let's just close this bug report for now.
Martin Michlmayr

--- End Message ---

Reply to: